## evil-el 1.2.12

=== Makefile ===
SHELL = /bin/sh
EMACS = emacs
FILES = $(filter-out evil-tests.el,$(filter-out evil-pkg.el,$(wildcard evil*.el)))
VERSION := $(shell sed -ne '/define-package/,$$p' evil-pkg.el | sed -ne '/^\s*"[[:digit:]]\+\(\.[[:digit:]]\+\)*"\s*$$/ s/^.*"\(.*\)".*$$/\1/p')
ELPAPKG = evil-$(VERSION)
PROFILER =
DOC = doc
TAG =
LIBS = -L lib

ELCFILES = $(FILES:.el=.elc)

.PHONY: all compile compile-batch info pdf clean tests test emacs term terminal profiler indent elpa version

# Byte-compile Evil.
all: compile
compile: $(ELCFILES)

.depend: $(FILES)
	@echo Compute dependencies
	@rm -f .depend
	@for f in $(FILES); do \
	    sed -n "s/(require '\(evil-.*\))/$${f}c: \1.elc/p" $$f >> .depend;\
	done

-include .depend

$(ELCFILES): %.elc: %.el
	$(EMACS) --batch -Q -L . $(LIBS) -f batch-byte-compile $<

# Byte-compile all files in one batch. This is faster than
# compiling each file in isolation, but also less stringent.
compile-batch: clean
	$(EMACS) --batch -Q -L . $(LIBS) -f batch-byte-compile ${FILES}

# Documentation.
doc: info pdf

info: clean
	cd $(DOC) && makeinfo evil.texi

pdf: clean
	cd $(DOC) && texi2pdf evil.texi

# Delete byte-compiled files etc.
clean:
	rm -f *~
	rm -f \#*\#
	rm -f *.elc
	rm -f .depend
	cd $(DOC) && rm -f *.aux *.cp *.fn *.fns *.info *.ky *.log *.pg *.toc *.tp *.vr *.vrs

# Run tests.
# The TAG variable may specify a test tag or a test name:
#       make test TAG=repeat
# This will only run tests pertaining to the repeat system.
test:
	$(EMACS) -nw -Q -L . $(LIBS) -l evil-tests.el \
--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}))"

# Byte-compile Evil and run all tests.
tests: compile
	$(EMACS) -nw -Q -L . $(LIBS) -l evil-tests.el \
--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}))"
	rm -f *.elc .depend

# Load Evil in a fresh instance of Emacs and run all tests.
emacs:
	$(EMACS) -Q -L . $(LIBS) -l goto-chg.el -l evil-tests.el \
--eval "(evil-mode 1)" \
--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}) t)" &

# Load Evil in a terminal Emacs and run all tests.
term: terminal
terminal:
	$(EMACS) -nw -Q -L . $(LIBS) -l goto-chg.el -l evil-tests.el \
--eval "(evil-mode 1)" \
--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}) t)"

# Run all tests with profiler.
profiler:
	$(EMACS) --batch -Q -L . $(LIBS) -l goto-chg.el -l evil-tests.el \
--eval "(evil-tests-initialize '(${TAG}) (or '(${PROFILER}) t))"

# Re-indent all Evil code.
# Loads Evil into memory in order to indent macros properly.
# Also removes trailing whitespace, tabs and extraneous blank lines.
indent: clean
	$(EMACS) --batch --eval '(setq vc-handled-backends nil)' ${FILES} evil-tests.el -Q -L . $(LIBS) -l evil-tests.el \
--eval "(dolist (buffer (reverse (buffer-list))) \
(when (buffer-file-name buffer) \
(set-buffer buffer) \
(message \"Indenting %s\" (current-buffer)) \
(setq-default indent-tabs-mode nil) \
(untabify (point-min) (point-max)) \
(indent-region (point-min) (point-max)) \
(delete-trailing-whitespace) \
(untabify (point-min) (point-max)) \
(goto-char (point-min)) \
(while (re-search-forward \"\\n\\\\{3,\\\\}\" nil t) \
(replace-match \"\\n\\n\")) \
(when (buffer-modified-p) (save-buffer 0))))"

# Create an ELPA package.
elpa:
	@echo "Creating ELPA package $(ELPAPKG).tar"
	@rm -rf ${ELPAPKG}
	@mkdir ${ELPAPKG}
	@cp $(FILES) COPYING evil-pkg.el ${ELPAPKG}
	@tar cf ${ELPAPKG}.tar ${ELPAPKG}
	@rm -rf ${ELPAPKG}

# Change the version using make VERSION=x.y.z
version:
	@$(EMACS) --script scripts/evilupdate "${VERSION}"

# Change the version using make VERSION=x.y.z, but do not post to the newsgroup
nversion:
	@$(EMACS) --script scripts/evilupdate nonews "${VERSION}"

=== debian/changelog ===
evil-el (1.2.12-2) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix Vcs-* URIs.

  [ Dmitry Bogatov ]
  * Run tests only if standards streams are terminals (Closes: #829299)
  * Temporary skip tests, which fails with emacs25 (Closes: #847040)

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 17 Dec 2016 16:42:09 +0300

evil-el (1.2.12-1) unstable; urgency=low

  * Initial release. (Closes: #827897)

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 01 Jul 2016 14:37:14 +0300

=== debian/control ===
Source: evil-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.18), texinfo, dtach
Standards-Version: 3.9.8
Homepage: https://bitbucket.org/lyro/evil/wiki/Home
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/evil-el.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/evil-el.git

Package: elpa-evil
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: extensible vi layer for Emacs
 Evil is an extensible vi layer for Emacs. It emulates the main
 features of Vim, and provides facilities for writing custom
 extensions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_build:
	$(MAKE) info

# CHANGES.org is a bit outdated, but probably still of interest.  If
# you think otherwise, I do not object.
# -- Dmitry Bogatov <KAction@gnu.org> Wed Jun 22 14:13:06 MSK 2016
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.org

# These tests require terminal, and the following is true:
#
#  * Buildd can't be expected to provide one
#  * Both sbuild and pbuilder has issues with pty's (#829299).
#
# That is why code below run tests only if test [ -t 1 ].
#
# -- Dmitry Bogatov <KAction@gnu.org> Wed, 14 Dec 16 06:05:23 +0300
override_dh_elpa_test:
	if [ -t 1 -a -t 0 ] ; then $(MAKE) test ; fi

override_dh_elpa:
	dh_elpa
	sed -i 's#"evil-core"#"evil"#g' \
	    debian/elpa-evil/usr/share/emacs/site-lisp/elpa-src/evil-*/evil-autoloads.el

## evil-el 1.12.17

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 SHELL = /bin/sh
-EMACS = emacs
-FILES = $(filter-out evil-tests.el,$(filter-out evil-pkg.el,$(wildcard evil*.el)))
+EMACS ?= emacs
+FILES = $(filter-out evil-test-helpers.el evil-tests.el evil-pkg.el,$(wildcard evil*.el))
 VERSION := $(shell sed -ne '/define-package/,$$p' evil-pkg.el | sed -ne '/^\s*"[[:digit:]]\+\(\.[[:digit:]]\+\)*"\s*$$/ s/^.*"\(.*\)".*$$/\1/p')
 ELPAPKG = evil-$(VERSION)
 PROFILER =
@@ -20,7 +20,7 @@
 	@echo Compute dependencies
 	@rm -f .depend
 	@for f in $(FILES); do \
-	    sed -n "s/(require '\(evil-.*\))/$${f}c: \1.elc/p" $$f >> .depend;\
+	    sed -n "s/ *(require '\(evil-[^)]*\).*)/$${f}c: \1.elc/p" $$f >> .depend;\
 	done
 
 -include .depend
@@ -68,7 +68,7 @@
 emacs:
 	$(EMACS) -Q -L . $(LIBS) -l goto-chg.el -l evil-tests.el \
 --eval "(evil-mode 1)" \
---eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}) t)" &
+--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}) t)"
 
 # Load Evil in a terminal Emacs and run all tests.
 term: terminal

=== debian/changelog ===
evil-el (1.12.17-1) unstable; urgency=medium

  [ David Krauser ]
  * Update to upstream version 1.12.17
  * Include new evil-keybindings.el
    - This provides a set of keybindings for other emacs modes
  * Remove patch that disables tests that fail in older versions.
    - These tests were fixed in upstream version 1.2.13, so the patch is no
      longer necessary.
  * Remove patch that forced evil-mode to autoload as an interactive function
    - The patch is no longer necessary. Upstream now specifies evil-mode as
      interactive in the autoload magic comment for the function.
  * Update package Standards-Version to 4.4.1
    - Drop Built-Using
  * Update package Standards-Version to 4.5.0 (no changes required)
  * Switch to debhelper-compat 12
  * Drop dh-elpa version qualifier
    - Version 1.6 of dh-elpa is the oldest version we have in the repositories,
      which is newer than the minimum version required to build this package.
      Should be safe to remove the qualifier.
  * Add Rules-Requires-Root: no
  * Remove unnecessary --parallel argument to dh
    - This argument is now enabled by default
  * Remove outdated upstream changelog
    - This changelog is many years out of date at this point, and adds clutter
      to the package that may cause confusion for users. It seems Dmitry did
      not feel strongly about keeping this changelog when it was originally
      added, so removing from the package.
  * Configure gbp to use gzip compression.
    - Upstream uses gzip for their release tarballs.
  * Configure gbp to use pristine-tar.
  * Update upstream URLs
  * Add David Krauser to uploaders (Closes: #915492)
  * Drop Dmitry Bogatov from uploaders
  * Update maintainer name and email address

  [ Nicholas D Steeves ]
  * Update Vcs links from alioth to salsa.
  * rules: Remove trailing whitespace.

 -- David Krauser <david@krauser.org>  Thu, 13 Feb 2020 22:33:42 -0500

evil-el (1.2.12-5) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 15:10:53 -0300

evil-el (1.2.12-4) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:46:52 -0300

evil-el (1.2.12-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:49:40 -0300

=== debian/control ===
Source: evil-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: David Krauser <david@krauser.org>
Build-Depends: debhelper-compat (= 12), dh-elpa, texinfo, dtach
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/emacs-evil/evil
Vcs-Git: https://salsa.debian.org/emacsen-team/evil-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/evil-el

Package: elpa-evil
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: extensible vi layer for Emacs
 Evil is an extensible vi layer for Emacs. It emulates the main
 features of Vim, and provides facilities for writing custom
 extensions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	$(MAKE) info

# These tests require terminal, and the following is true:
#
#  * Buildd can't be expected to provide one
#  * Both sbuild and pbuilder has issues with pty's (#829299).
#
# That is why code below run tests only if test [ -t 1 ].
#
# -- Dmitry Bogatov <KAction@gnu.org> Wed, 14 Dec 16 06:05:23 +0300
override_dh_elpa_test:
	if [ -t 1 -a -t 0 ] ; then $(MAKE) test ; fi

## evil-el 1.14.0

=== Makefile ===
SHELL = /bin/sh
EMACS ?= emacs
FILES = $(filter-out evil-test-helpers.el evil-tests.el evil-pkg.el,$(wildcard evil*.el))
VERSION := $(shell sed -ne '/define-package/,$$p' evil-pkg.el | sed -ne '/^\s*"[[:digit:]]\+\(\.[[:digit:]]\+\)*"\s*$$/ s/^.*"\(.*\)".*$$/\1/p')
ELPAPKG = evil-$(VERSION)
PROFILER =
DOC = doc
TAG =
LIBS = -L lib

ELCFILES = $(FILES:.el=.elc)

.PHONY: all compile compile-batch docstrings doc clean tests test emacs term terminal profiler indent elpa version

# Byte-compile Evil.
all: compile
compile: $(ELCFILES)

.depend: $(FILES)
	@echo Compute dependencies
	@rm -f .depend
	@for f in $(FILES); do \
		sed -n "s/ *(require '\(evil-[^)]*\).*)/$${f}c: \1.elc/p" $$f >> .depend;\
	done

-include .depend

$(ELCFILES): %.elc: %.el
	$(EMACS) --batch -Q -L . $(LIBS) -f batch-byte-compile $<

# Byte-compile all files in one batch. This is faster than
# compiling each file in isolation, but also less stringent.
compile-batch: clean
	$(EMACS) --batch -Q -L . $(LIBS) -f batch-byte-compile ${FILES}

# Documentation.
docstrings:
	@$(EMACS) --script scripts/evil-extract-docstrings

doc: docstrings
	@$(MAKE) -C doc texinfo

info: doc
	@$(MAKE) -C doc info

# Delete byte-compiled files etc.
clean:
	rm -f *~
	rm -f \#*\#
	rm -f *.elc
	rm -f .depend
	@$(MAKE) -C doc clean

# Run tests.
# The TAG variable may specify a test tag or a test name:
#       make test TAG=repeat
# This will only run tests pertaining to the repeat system.
test:
	$(EMACS) -nw -Q -L . $(LIBS) -l evil-tests.el \
		--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}))"

# Byte-compile Evil and run all tests.
tests: compile
	$(EMACS) -nw -Q -L . $(LIBS) -l evil-tests.el \
		--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}))"
	rm -f *.elc .depend

# Load Evil in a fresh instance of Emacs and run all tests.
emacs:
	$(EMACS) -Q -L . $(LIBS) -l goto-chg.el -l evil-tests.el \
		--eval "(evil-mode 1)" \
		--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}) t)"

# Load Evil in a terminal Emacs and run all tests.
term: terminal
terminal:
	$(EMACS) -nw -Q -L . $(LIBS) -l goto-chg.el -l evil-tests.el \
		--eval "(evil-mode 1)" \
		--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}) t)"

# Run all tests with profiler.
profiler:
	$(EMACS) --batch -Q -L . $(LIBS) -l goto-chg.el -l evil-tests.el \
		--eval "(evil-tests-initialize '(${TAG}) (or '(${PROFILER}) t))"

# Re-indent all Evil code.
# Loads Evil into memory in order to indent macros properly.
# Also removes trailing whitespace, tabs and extraneous blank lines.
indent: clean
	$(EMACS) --batch --eval '(setq vc-handled-backends nil)' ${FILES} evil-tests.el -Q -L . $(LIBS) -l evil-tests.el \
		--eval "(dolist (buffer (reverse (buffer-list))) \
		(when (buffer-file-name buffer) \
		(set-buffer buffer) \
		(message \"Indenting %s\" (current-buffer)) \
		(setq-default indent-tabs-mode nil) \
		(untabify (point-min) (point-max)) \
		(indent-region (point-min) (point-max)) \
		(delete-trailing-whitespace) \
		(untabify (point-min) (point-max)) \
		(goto-char (point-min)) \
		(while (re-search-forward \"\\n\\\\{3,\\\\}\" nil t) \
		(replace-match \"\\n\\n\")) \
		(when (buffer-modified-p) (save-buffer 0))))"

# Create an ELPA package.
elpa:
	@echo "Creating ELPA package $(ELPAPKG).tar"
	@rm -rf ${ELPAPKG}
	@mkdir ${ELPAPKG}
	@cp $(FILES) COPYING evil-pkg.el ${ELPAPKG}
	@tar cf ${ELPAPKG}.tar ${ELPAPKG}
	@rm -rf ${ELPAPKG}

# Change the version using make VERSION=x.y.z
version:
	@$(EMACS) --script scripts/evilupdate "${VERSION}"

# Change the version using make VERSION=x.y.z, but do not post to the newsgroup
nversion:
	@$(EMACS) --script scripts/evilupdate nonews "${VERSION}"

=== debian/changelog ===
evil-el (1.14.0-1) unstable; urgency=medium

  [ David Krauser ]
  * Update to upstream version 1.14.0 (Closes: #953397)
  * Switch to sphinx for documentation generation
  * Drop unused build dependency on dtach
  * Enable autopkgtests

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances; it is a dummy transitional package in buster
    that does not exist in bullseye.
  * copyright: Add path to full-text copy of GFDL-1.3 on Debian systems,
    and add missing end quotes wherever they had been omitted.

 -- David Krauser <david@krauser.org>  Mon, 13 Jul 2020 23:25:39 -0400

=== debian/control ===
Source: evil-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: David Krauser <david@krauser.org>
Build-Depends: debhelper-compat (= 12)
             , dh-elpa
             , python3-sphinx
             , texinfo
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/emacs-evil/evil
Vcs-Git: https://salsa.debian.org/emacsen-team/evil-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/evil-el
Testsuite: autopkgtest-pkg-elpa

Package: elpa-evil
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}, ${sphinxdoc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: extensible vi layer for Emacs
 Evil is an extensible vi layer for Emacs. It emulates the main
 features of Vim, and provides facilities for writing custom
 extensions.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with elpa
+	dh $@ --with elpa,sphinxdoc
 
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
-	$(MAKE) info
+	PYTHONPATH=. python3 -m sphinx -N -btexinfo doc/source/ build/info
+	makeinfo --no-split build/info/*.texi -o build/evil.info
+
+override_dh_auto_clean:
+	rm -rf build doc/source/_ext/__pycache__ test-results.txt .depend
 
 # These tests require terminal, and the following is true:
 #

=== debian/watch ===
version=4
https://github.com/emacs-evil/evil/releases /emacs-evil/evil/archive/(.+)\.tar\.gz

## evil-el 1.14.2

=== Makefile ===
--- 
+++ 
@@ -56,7 +56,7 @@
 #       make test TAG=repeat
 # This will only run tests pertaining to the repeat system.
 test:
-	$(EMACS) -nw -Q -L . $(LIBS) -l evil-tests.el \
+	$(EMACS) -nw -Q --batch -L . $(LIBS) -l evil-tests.el \
 		--eval "(evil-tests-initialize '(${TAG}) '(${PROFILER}))"
 
 # Byte-compile Evil and run all tests.

=== debian/changelog ===
evil-el (1.14.2-4) unstable; urgency=medium

  * Disable building info docs (Closes: #1099228)
    - `make docstrings` failing on Emacs 30.1 due to "Unknown JSON error".
    - Reported upstream: https://github.com/emacs-evil/evil/issues/1966.
    - Disable info handling.
  * Ensure dh_auto_clean runs to clean up after build (Closes: #1044351)
    - Use execute_after_dh_auto_clean to ensure dh_auto_clean runs.
    - This fixes build-twice-in-a-row.
  * Modernize d/watch using substitute strings to be more robust
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse, Repository.
  * Update standards version to 4.7.2, no changes needed.
  * Update copyright info for "debian/*" based on git history
  * Update Section to editors
  * Adopt package (Closes: #981120)
    - Set Debian Emacsen team as the maintainer.
    - Add myself to Uploaders.
  * Use d/clean to clean up after building
    - Drop execute_after_dh_auto_clean in d/rules; prefer d/clean
  * Drop override_dh_elpa_test now that it works in sbuild with unshare
  * Add d/salsa-ci.yml with the default template

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 15 Mar 2025 19:32:05 -0700

evil-el (1.14.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 12:00:21 +0900

evil-el (1.14.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #981120)
  * debian/control: Remove Uploaders field.

 -- Lucian Augusto <lucian.augusto@proton.me>  Mon, 11 Dec 2023 22:17:04 -0300

evil-el (1.14.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release (Closes: #1020970).
  * Switch to merging from upstream git tags.
  * Make docstrings before running sphinx to solve new FTBFS
  * Set "EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t" in debian/rules,
    because evil-el advises set-window-buffer and others, which forces JIT
    trampoline compilation, which writes to $HOME/.emacs.d/eln-cache, which is
    a Policy violation; such writes are blocked during the package build, and
    this causes an FTBFS by design.
    "EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t" inhibits the
    Policy-violating stray writes.

  [ Sean Whitton ]
  * Add build-dep on emacs-nox|emacs >= 1:28.2+1-9.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 23 Dec 2022 12:14:18 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: evil-el
-Section: lisp
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
-Uploaders: David Krauser <david@krauser.org>
-Build-Depends: debhelper-compat (= 12)
+Uploaders: Xiyue Deng <manphiz@gmail.com>
+Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , python3-sphinx
              , texinfo
+             , emacs-nox (>= 1:28.2+1-9) | emacs (>= 1:28.2+1-9)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/emacs-evil/evil
 Vcs-Git: https://salsa.debian.org/emacsen-team/evil-el.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/evil-el

=== debian/rules ===
#!/usr/bin/make -f

export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t

%:
	dh $@ --with elpa,sphinxdoc

# # Temporarily disable building docs to workaround Bug#1099228
# override_dh_auto_build: export http_proxy=127.0.0.1:9
# override_dh_auto_build: export https_proxy=127.0.0.1:9
# override_dh_auto_build:
# 	make docstrings
# 	PYTHONPATH=. python3 -m sphinx -N -btexinfo doc/source/ build/info
# 	makeinfo --no-split build/info/*.texi -o build/evil.info

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/emacs-evil/evil/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
